#include<stdio.h>

int main()
{
    int t;
    scanf("%d", &t);
    
    for(int i = 0; i < t; i++)
    {
        long long n, m, k;

        scanf("%lld%lld%lld", &n, &m, &k);

        long long s = n/k;

        s = k*s*(s+1)/2 + (s+1)*(n%k);

        if(s <= m)
            printf("Tak\n");
        else
            printf("Nie\n");
    }



    return 0;
}